Skip to content

Bulk Update Roles

Perform a bulk update of role assignments across multiple users. Requires ADMIN or MANAGE_PEOPLE permissions for the targetPath.

Parameters

name * are required parametersdata typedescription
body.updates*object[]Array of role assignment updates
body.updates[].userId*stringThe user to update
body.updates[].roleIds*string[]Role IDs to assign to the user

Return Value

Result of the bulk update operation.

Error Codes

  • 400 Bad Request: Returned when parameters are invalid.
  • 401 Unauthorized: Returned when permissions are insufficient.

Examples

bash
curl -X POST "https://app.wombat.software/api/{targetPath}/bulk-role-update" \
  -H "Content-Type: application/json" \
  -H "Authentication: Bearer ..." \
  -d '{"updates": [{"userId": "uid1", "roleIds": ["roleA"]}, {"userId": "uid2", "roleIds": ["roleB"]}]}'

ENDPOINTS

post/api/{targetPath}/bulk-role-update